package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 档案信息
 * @Author: CaoZixuan
 * @Date: 2024-09-26
 */
public class UserArchivesInfoResult {
    @ApiModelProperty("用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("供应商")
    private String supplierName;

    @ApiModelProperty("手机号")
    private String mobileNumber;

    @ApiModelProperty(value = "认证角色集合")
    private String archivesRoleName;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getArchivesRoleName() {
        return archivesRoleName;
    }

    public void setArchivesRoleName(String archivesRoleName) {
        this.archivesRoleName = archivesRoleName;
    }
}
